%global install_loc         %{_datadir}/eclipse/dropins
%global rseserver_install   %{_datadir}/eclipse-rse-server
%global rseserver_java      %{_datadir}/java/eclipse-rse-server
%global rseserver_config    %{_sysconfdir}/sysconfig/rseserver
%global rse_snapshot        org.eclipse.tm

Name: eclipse-rse
Summary: Eclipse Remote System Explorer
Version: 3.5.1
#it looks like RC4 was released with kepler without rename.
Release: %mkrel 0.1.RC4.3
License: EPL
Group:   Development/Java
URL: http://www.eclipse.org/dsdp/tm/

Source0: http://git.eclipse.org/c/tm/org.eclipse.tm.git/snapshot/org.eclipse.tm-S3_5_1RC4.tar.bz2
Source4: notice.html
Source5: epl-v10.html

# Use Authen::pam to authenticate clients
Patch1: eclipse-rse-server-auth-pl.patch
# Fix classpath in daemon and server scripts to point
# to install locations
Patch2: eclipse-rse-server-scripts.patch
# Patch to remove eclipse-parent pom reference and multiple environments
Patch3: eclipse-rse-top-pom.patch
# Patch to remove dependency on org.apache.commons.net.source
Patch4: eclipse-rse-commons-net-source.patch
# Patch to allow junit4 to be used for building tests
Patch5: eclipse-rse-junit.patch
# Patch to remove tests from tm repo
Patch6: eclipse-rse-tm-repo.patch


BuildRequires:    java-devel >= 1.5.0

# All arches line up except i386 -> x86
%ifarch %{ix86}
%define eclipse_arch    x86
%else
%ifarch %{arm}
%define eclipse_arch    arm
%else
%define eclipse_arch   %{_arch}
%endif
%endif

%if 0%{?rhel} >= 6
ExclusiveArch: i686 x86_64
%else
BuildArch: noarch
%endif

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: maven >= 3.0.3
BuildRequires: junit

BuildRequires: eclipse-pde >= 1:3.8.0-0.21
BuildRequires: eclipse-emf >= 0:2.4.1
BuildRequires: apache-commons-net >= 0:1.4.1-5.4
Requires: eclipse-platform >= 1:3.8.0-0.21
Requires: eclipse-emf >= 0:2.4.1
Requires: apache-commons-net >= 0:2.0

Group: Development/Tools

%description
Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench
that allows you to connect and work with a variety of remote systems.

%package server
Summary: Eclipse Remote System Explorer Server
Group: Development/Tools
Requires: perl
Requires: perl-Authen-PAM
Requires: java

%description server
The Remote System Explorer (RSE) framework server that can be used so clients can connect to this machine via RSE.

%prep
%setup -q -n org.eclipse.tm-S3_5_1RC4

%patch3 -b .orig
%patch4
%patch5
%patch6 -b .orig

sed -i -e 's/<arch>x86<\/arch>/<arch>%{eclipse_arch}<\/arch>/g' pom.xml

pushd rse/plugins/org.eclipse.rse.services.dstore
%patch1
%patch2
popd
sed -i -e 's|3.2,3.3|3.2,3.9|g' pom.xml

%build
export MAVEN_OPTS="-XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState ${MAVEN_OPTS}"
mvn-rpmbuild -DskipTychoVersionCheck -Dmaven.test.skip=true clean install

cp %{SOURCE4} .
cp %{SOURCE5} .

%install

install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/rse/eclipse
install -d -m 755 %{buildroot}%{rseserver_install}
install -d -m 755 %{buildroot}%{rseserver_java}
install -d -m 755 %{buildroot}%{rseserver_config}

cp -R releng/org.eclipse.tm.repo/target/repository/features \
   %{buildroot}%{install_loc}/rse/eclipse \

cp -R releng/org.eclipse.tm.repo/target/repository/plugins \
   %{buildroot}%{install_loc}/rse/eclipse \

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
rm org.apache.commons.net_*.jar
ln -s %{_javadir}/commons-net.jar org.apache.commons.net.jar
popd

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services.dstore_*.jar dstore_miners.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.core_*.jar dstore_core.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.extra_*.jar dstore_extra_server.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services_*.jar clientserver.jar
# Remove server-specific jar files from plug-ins
jarname=`ls org.eclipse.rse.services.dstore_*.jar`
zip -d $jarname dstore_miners.jar
jarname=`ls org.eclipse.dstore.core_*.jar`
zip -d $jarname dstore_core.jar
jarname=`ls org.eclipse.dstore.extra_*.jar`
zip -d $jarname dstore_extra_server.jar
jarname=`ls org.eclipse.rse.services_*.jar`
zip -d $jarname clientserver.jar
popd

pushd rse/plugins/org.eclipse.rse.services.dstore
pushd serverruntime/scripts/linux
cp *.pl %{buildroot}%{rseserver_install}
popd
pushd serverruntime/data
cp *.properties %{buildroot}%{rseserver_config}
cp *.dat %{buildroot}%{rseserver_install}
popd

%clean
find . -type d -exec chmod u+rx {} +

%files
%{install_loc}/rse
%doc rse/features/org.eclipse.rse.sdk-feature/epl-v10.html
%doc rse/features/org.eclipse.rse.sdk-feature/license.html

%files server
%{rseserver_install}
%{rseserver_java}
%dir %{rseserver_config}
%config(noreplace) %{rseserver_config}/ssl.properties
%config(noreplace) %{rseserver_config}/rsecomm.properties
%doc notice.html
%doc epl-v10.html




%changelog
* Thu Dec 19 2013 luigiwalser <luigiwalser> 3.5.1-0.1.RC4.3.mga4
+ Revision: 559008
- rebuild against eclipse-4.3.1-7.mga4

* Tue Oct 22 2013 umeabot <umeabot> 3.5.1-0.1.RC4.2.mga4
+ Revision: 542311
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 3.5.1-0.1.RC4.1.mga4
+ Revision: 497325
- New version

* Sat Jan 19 2013 dmorgan <dmorgan> 3.4-3.mga3
+ Revision: 389631
- Rebuild against fixed eclipse

* Fri Jan 11 2013 umeabot <umeabot> 3.4-2.mga3
+ Revision: 349471
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 3.4-1.mga3
+ Revision: 327480
- New version

* Thu Mar 17 2011 dmorgan <dmorgan> 3.2-1.mga1
+ Revision: 73188
- imported package eclipse-rse

